package com.fjhx.service.material;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.material.Material;
import com.fjhx.params.material.MaterialVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 物料 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface MaterialService extends BaseService<Material> {

    Page<Material> getPage(Map<String, Object> condition);

    void add(MaterialVo materialVo);

    void edit(MaterialVo materialVo);

    void delete(MaterialVo materialVo);

}
